Page MenuHomePhabricator

[keyresult] Migrate remaining trebuchet deployed services
Closed, ResolvedPublic

Related Objects

StatusAssignedTask
ResolvedMoritzMuehlenhoff
Resolvedthcipriani
InvalidNone
Resolvedthcipriani
DeclinedNone
Resolvedakosiaris
Resolvedelukey
ResolvedYurik
Resolvedthcipriani
Resolvedthcipriani
Resolvedthcipriani
Resolvedthcipriani
ResolvedbearND
ResolvedYurik
Resolvedori
ResolvedSmalyshev
ResolvedDzahn
Resolvedmobrovac
DeclinedNone
Resolvedmobrovac
Resolvedfgiunchedi
Resolvedakosiaris
ResolvedNiharika
Resolvedmmodell
Resolvedthcipriani
Resolvedmmodell
Resolvedmmodell
Resolvedmmodell
Resolvedfgiunchedi
Resolvedmmodell
DeclinedNone
Resolvedthcipriani
Resolvedmobrovac
Resolveddduvall
Resolvedmobrovac
InvalidNone
Resolveddemon
DeclinedKrinkle
ResolvedOttomata
ResolvedOttomata
ResolvedKrinkle
Resolvedmobrovac

Event Timeline

greg created this task.Mar 8 2016, 11:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2016, 11:09 PM
greg renamed this task from Migrate remaining trebuchet deployed services to [keyresult] Migrate remaining trebuchet deployed services.Mar 8 2016, 11:09 PM
greg triaged this task as Normal priority.
bearND updated the task description. (Show Details)May 3 2016, 5:21 PM

Went through this somewhat recently to see what yet remains on tin, here's a dump of my notes:

$ ls /srv/deployment/*/*/.git/FETCH_HEAD | sed -e 's#/.git/FETCH_HEAD##' | sort > ~/deployed
$ ls /srv/deployment/*/*/.git/DEPLOY_HEAD | sed -e 's#/.git/DEPLOY_HEAD##' | sort > ~/deployed-with-scap
$ comm -23 deployed deployed-with-scap
/srv/deployment/abacist/abacist
/srv/deployment/cassandra/logstash-logback-encoder
/srv/deployment/cassandra/metrics-collector
/srv/deployment/dropwizard/metrics
/srv/deployment/elasticsearch/plugins
/srv/deployment/eventlogging/eventlogging
/srv/deployment/gdash/gdash
/srv/deployment/grafana/grafana
/srv/deployment/iegreview/iegreview
/srv/deployment/integration/mediawiki-tools-codesniffer
/srv/deployment/integration/php-coveralls
/srv/deployment/integration/phpcs
/srv/deployment/integration/phpunit
/srv/deployment/integration/slave-scripts
/srv/deployment/jobrunner/jobrunner
/srv/deployment/kibana/kibana
/srv/deployment/librenms/librenms.a
/srv/deployment/logstash/plugins
/srv/deployment/mathoid/mathoid
/srv/deployment/ocg/ocg
/srv/deployment/parsoid/deploy-old
/srv/deployment/parsoid/Parsoid
/srv/deployment/rcstream/rcstream
/srv/deployment/restbase/deploy.bak
/srv/deployment/restbase/deploy.old
/srv/deployment/scholarships/scholarships
/srv/deployment/servermon/servermon
/srv/deployment/statsv/statsv
/srv/deployment/tessera/tessera

Need manual removed from tin:

/srv/deployment/parsoid/deploy-old
/srv/deployment/restbase/deploy.bak
/srv/deployment/restbase/deploy.old
/srv/deployment/librenms/librenms.a
/srv/deployment/mathoid/mathoid
integration/php-coveralls
integration/phpunit
integration/slave-scripts
integration/php-coveralls
integration/phpcs

Have owners

Services:

/srv/deployment/cassandra/logstash-logback-encoder
/srv/deployment/cassandra/metrics-collector

Blocked?

eventlogging/eventlogging

In the README there shows blocked by T131977: Stop using global eventlogging install on hafnium (and any other eventlogging lib user), but that's closed so maybe blocked no longer @Ottomata may know.

Unknown:

  • dropwizard/metrics - super old, early 2015
  • iegreview/iegreview
  • logstash/plugins - @bd808 may know
  • ocg/ocg - @cscott may know
  • rcstream/rcstream
  • statsv/statsv - @Ottomata may know
  • iegreview/iegreview

This one is me & @Niharika (same as scholarships).

  • logstash/plugins - @bd808 may know

@EBernhardson owns this one these days. I gave up my Logstash root powers and ownership responsibility in rOPUP9a43626e8c9a: Remove bd808 from logstash-roots.

I'm not really sure what has to be done to switch logstash-plugins from trebuchet to scap, but basically the only thing it needs to do:

  • Ship updates to the repository to logstash100[123].eqiad.wmnet
  • Utilize git-fat to pull binary blobs from archiva
hashar added a comment.May 9 2017, 4:46 PM

jobrunner/jobrunner - @hashar - T129148

I can't tackle that one sorry :-( Though hypothetically it is something we can pair up on next week. Would be an opportunity for me to level up.

Mentioned in SAL (#wikimedia-operations) [2017-05-19T10:08:28Z] <_joe_> moved stale repos to /srv/deployment/STALE on tin, T129290

greg added a project: Trebuchet.
hashar removed a subscriber: hashar.May 23 2017, 7:43 AM
thcipriani closed this task as Resolved.Sep 18 2017, 9:12 PM
thcipriani claimed this task.

All subtasks closed. Closing this one out.

bd808 awarded a token.Sep 18 2017, 9:21 PM
mmodell added a subscriber: mmodell.

itshappening